Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## crypting
Class EllipticCurves

    java.lang.Object
      crypting.EllipticCurves

    public class EllipticCurves

extends java.lang.Object

Metoda pro šifrování pomocí systému Eliptických křivek.

Field Summary
`protected org.bouncycastle.jce.spec.IEKeySpec` | `c1Key`
`javax.crypto.Cipher` | `cipher`
`java.security.KeyPairGenerator` | `generateKeyPair`
`java.security.KeyPair` | `keypair`
`protected org.bouncycastle.jce.spec.IESParameterSpec` | `param`
`java.security.SecureRandom` | `random`

Constructor Summary
`EllipticCurves()`

Method Summary
`byte[]` | `desifrovani(byte[] cryptogram)`
`java.security.Key` | `getPrivate()`
`java.security.Key` | `getPublic()`
`byte[]` | `sifrovani(byte[] inputText)`
`byte[]` | `sifrovani(java.lang.String inputText)`
`void` | `vygenerovani(int delkaKlicu)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### c1Key

    protected org.bouncycastle.jce.spec.IEKeySpec c1Key

### param

    protected org.bouncycastle.jce.spec.IESParameterSpec param

### random

    public java.security.SecureRandom random

### generateKeyPair

    public java.security.KeyPairGenerator generateKeyPair

### keypair

    public java.security.KeyPair keypair

### cipher

    public javax.crypto.Cipher cipher

Constructor Detail

### EllipticCurves

    public EllipticCurves()

Method Detail

### vygenerovani

    public void vygenerovani(int delkaKlicu)
                      throws java.security.NoSuchAlgorithmException,
                             java.security.NoSuchProviderException,
                             javax.crypto.NoSuchPaddingException

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.NoSuchProviderException`
    `javax.crypto.NoSuchPaddingException`

### sifrovani

    public byte[] sifrovani(java.lang.String inputText)
                     throws java.security.InvalidKeyException,
                            javax.crypto.IllegalBlockSizeException,
                            javax.crypto.BadPaddingException,
                            java.security.InvalidAlgorithmParameterException

  Throws:
    `java.security.InvalidKeyException`
    `javax.crypto.IllegalBlockSizeException`
    `javax.crypto.BadPaddingException`
    `java.security.InvalidAlgorithmParameterException`

### sifrovani

    public byte[] sifrovani(byte[] inputText)
                     throws java.security.InvalidKeyException,
                            javax.crypto.IllegalBlockSizeException,
                            javax.crypto.BadPaddingException,
                            java.security.InvalidAlgorithmParameterException

  Throws:
    `java.security.InvalidKeyException`
    `javax.crypto.IllegalBlockSizeException`
    `javax.crypto.BadPaddingException`
    `java.security.InvalidAlgorithmParameterException`

### desifrovani

    public byte[] desifrovani(byte[] cryptogram)
                       throws java.security.InvalidKeyException,
                              javax.crypto.IllegalBlockSizeException,
                              javax.crypto.BadPaddingException,
                              java.security.InvalidAlgorithmParameterException

  Throws:
    `java.security.InvalidKeyException`
    `javax.crypto.IllegalBlockSizeException`
    `javax.crypto.BadPaddingException`
    `java.security.InvalidAlgorithmParameterException`

### getPublic

    public java.security.Key getPublic()

### getPrivate

    public java.security.Key getPrivate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD